package cn.ezhizao.project.business.service.impl;

import cn.ezhizao.project.business.domain.BizProcessInspecion;
import cn.ezhizao.project.business.mapper.BizProcessInspecionMapper;
import cn.ezhizao.project.business.service.IBizProcessInspecionService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 序检主Service业务层处理
 *
 * @author ezhizao
 * @date 2024-04-24
 */
@Service
public class BizProcessInspecionServiceImpl extends ServiceImpl<BizProcessInspecionMapper, BizProcessInspecion> implements IBizProcessInspecionService
{
    @Resource
    private BizProcessInspecionMapper bizProcessInspecionMapper;

    /**
     * 查询序检主列表
     *
     * @param bizProcessInspecion 序检主
     * @return 序检主
     */
    @Override
    public List<BizProcessInspecion> getList(BizProcessInspecion bizProcessInspecion)
    {
        return bizProcessInspecionMapper.getList(bizProcessInspecion);
    }

    @Override
    public List<BizProcessInspecion> getInfo(BizProcessInspecion bizProcessInspecion) {
        return bizProcessInspecionMapper.getInfo(bizProcessInspecion);
    }

    @Override
    public List<BizProcessInspecion> getProcessInspectionById(Long id) {
        return bizProcessInspecionMapper.getProcessInspectionById(id);
    }

    /**
     * 物理删除
     * @param bizProcessInspecion
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizProcessInspecion bizProcessInspecion){ return bizProcessInspecionMapper.physicalDelete(bizProcessInspecion); }

    @Override
    public List<BizProcessInspecion> getAllList() {
        return bizProcessInspecionMapper.getAllList();
    }

    @Override
    public List<BizProcessInspecion> getVerifyList(BizProcessInspecion bizProcessInspecion) {
        return bizProcessInspecionMapper.getVerifyList(bizProcessInspecion);
    }

    @Override
    public Long getCountForExport(BizProcessInspecion bizProcessInspecion) {
        return bizProcessInspecionMapper.getCountForExport(bizProcessInspecion);
    }

    ;

}
